package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.ext.mes.pcn.api.busi.IMesProductVersionService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesProductVersion;
import cn.estsh.i3plus.pojo.mes.repository.MesProductVersionRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * @Description : 生产版本
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/4 9:29
 * @Modify:
 **/
@Service
@Slf4j
public class MesProductVersionServiceImpl implements IMesProductVersionService {

    @Autowired
    private MesProductVersionRepository mesProductVersionRepository;

    @Override
    public MesProductVersion getMesProductVersion(String organizeCode, String partNo, String productVersion) {
        if(StringUtils.isEmpty(organizeCode) || StringUtils.isEmpty(partNo) ||  StringUtils.isEmpty(productVersion)){
            return null;
        }
        DdlPackBean ddlPackBean = DdlPackBean.getDdlPackBean(organizeCode);
        DdlPreparedPack.getStringEqualPack(partNo, "partNo", ddlPackBean);
        DdlPreparedPack.getStringEqualPack(productVersion, "productVersion", ddlPackBean);
        return mesProductVersionRepository.getByProperty(ddlPackBean);
    }
}
